Bug 462505 - Review Request: python-argparse - An optparse-inspired command-line parsing library
Review Request: python-argparse - An optparse-inspired command-line parsing l...
Status: CLOSED DUPLICATE of bug 484597
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-16 15:21 EDT by Ruben Kerkhof
Modified: 2010-02-19 03:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-11 13:44:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ruben Kerkhof 2008-09-16 15:21:56 EDT
Spec URL: http://ruben.fedorapeople.org/python-argparse.spec
SRPM URL: http://ruben.fedorapeople.org/python-argparse-0.8.0-1.fc10.src.rpm
Description:
Argparse takes the best of the optparse command-line parsing module and
brings it new life. Argparse adds positional as well as optional arguments,
the ability to create parsers for sub-commands, more informative help
and usage messages, and much more. At the same time, it retains the
ease and flexibility of use that made optparse so popular.
Comment 1 Terje Røsten 2009-02-11 13:44:24 EST
Hi Ruben, 

sorry, I did a mistake here, I need python-argparse for grin ( #484598 ) and
did a review request without searching bugzilla. Now the package is approved and imported. 

If you want I can transfer the package to you, if not I will maintain it.

*** This bug has been marked as a duplicate of bug 484597 ***
Comment 2 Ruben Kerkhof 2009-02-11 15:51:40 EST
Hi Terje,

No problem, you can keep it ;-)
I needed it for allmydata-tahoe, but it's one of the many dependencies needed, so thanks for getting this one in.

Note You need to log in before you can comment on or make changes to this bug.